Ask Your Question
0

Sage 5.3 on a Dell Poweredge 1650 running Lubuntu 12.04

asked 2012-11-10 12:08:01 -0500

sage-intro gravatar image

updated 2015-01-13 14:08:05 -0500

FrédéricC gravatar image

Trying to install sage 5.3 server on a dell poweredge 1650 running Lubuntu 12.04. I have been battling with this install for quite some time, our previous sage server ran on a poweredge 1750 in a Virtualbox VM, using Ubuntu 10.04 with a gnome GUI (very minimal). We had other VMs running on that server that have been relocated, so the consensus was to simply build a new sage server using a minimal LXDE desktop on the 1750. This was the first hurdle, 12.04 doesn't seem to like to load the network drivers from the mini install CD, no DVD drive. This prompted me to use a 1650 that the operating system loads fine on. However the new sage 5.3 spits out errors like this " This sage install was built on a machine that supports instructions that are not available on this computer. Sage will likely fail." I have a two pronged attack going on right now, one is trying to make our old virtual machine run on 12.04 just to get the math department a sage server. The second approach was to try and compile sage on my other 1650, and see if that would fly. Neither of these approaches have done me much good, and I am running out of hair to pull out. Anyone out there has any tips and tricks they would like to share on this matter?

edit retag flag offensive close merge delete

4 answers

Sort by » oldest newest most voted
0

answered 2012-11-11 10:21:40 -0500

Dirk Danckaert gravatar image

I'm running a precompiled SAGE 5.3 on a virtual Ubuntu 12.04 LTS (32 bits) to everyone's satisfaction. It's VMware VM, but I guess VBox would do as well. Installation was exceptionally smooth, compared with 5.0 and 5.2.

edit flag offensive delete link more
0

answered 2012-11-28 09:02:23 -0500

sage-intro gravatar image

updated 2012-11-28 09:04:11 -0500

I have found two different methods to install Ubuntu 12.04 on a Dell poweredge 1750. The first is by far the easier of the two. Simply install Ubuntu 10.04.4 and run the updates, then execute this command.

do-release-upgrade

You may need to be root or a sudo user to run this command.

edit flag offensive delete link more
0

answered 2012-11-12 13:26:38 -0500

sage-intro gravatar image

I managed to get a Server running today, I had to switch to Ubuntu 10.04.4 for an operating system. I am also watching code compile on one of my PowerEdge 1650's running Ubuntu 12.04.1.

Thanks for all who responded to my post.

edit flag offensive delete link more
0

answered 2012-11-11 12:42:57 -0500

sage-intro gravatar image

I have versions in VMware running as well, just so I could learn what the program does. My issue lies in, this needs to be installed on a rack mounted server(legacy) that lives in our college campus DMZ. I can find a bunch of documentation to install and test the software, but only about half of it actually works. I am a student employee at the college and I get to put in 5 to 10 hours a week on this install. I was at the college until 2 AM last night and managed to get a sage version 4.3.2 compiled and running on Ubuntu 10.04.4. Well almost running, I had to install 6 more packages than the documentation I had said to install. I now have sage working at the command line level and in my local browser, which pops up nice and pretty when I run the notebook command. My problem is I need to be able to connect to this server from all over the campus, yet can't connect from the same VLAN. I could go with a virtualized solution, but then I would need to write the scripts that start the virtual machine manager, and then start the virtual machine itself. Plus I would have to write the scripts that would shut the virtual machines down when the system reboots for updates. Trying to get this done while taking my final semester of Cisco Networking, leaves little time to plow through mounds of paperwork, and try to figure this out. If all else fails maybe I can just burn all the math students a live sage CD. Thanks for your input Dirk, I wish it solved my delema

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-11-10 12:08:01 -0500

Seen: 534 times

Last updated: Nov 28 '12